paper pattern for shop fabrication
paper pattern for shop fabrication
(OP)
I need to find a way (AutoCad or ?), to model a specific fabrication problem and "flatten" it out into a paper pattern that the shop can use to shorten the cut and fit process. The specific problem is a 6" pipe being connected at an odd angle to a 24" x 16" eccentric reducer. The eccentric reducer happens to be top flat and the 6" line has to connect to the side of the reducer. If a paper pattern could be generated for both the hole cut required in the reducer, and the end cut for the 6" pipe, and then ploted using the autocad (or?) program, the cut and fit time that currently is lost in the fabrication shop would be eliminated with a piece of paper showing exactly where to cuts are to be made and what shapes the cuts needed to be.
Thank you in advance for your time,
MDL
Thank you in advance for your time,
MDL
RE: paper pattern for shop fabrication
What you are needing is a roll out of the juncture. I had an individual/draftsman that was excellent at this type of thing and we continually did this in AutoCAD, plotted it out and took it to the shop as a template.
You will need to draw it up in ACAD, or whatever, and use the projection of the fitting as a guide to layout the cut on the projection of the reducer. The number of segments you use will determine the "fluidity" of the curves and layout. The actual orientation is required in your "construcion" environment in ACAD. This can be a tricky exercise. I would look at getting the hole cut in your reducer first, then fitting the pipe in accordingly to the proper length required, marking the pipe with the hole as the "template", removing the pipe, then cutting the pipe.
I have made this sound either really easy, or more confusing. I had done a few of these and they can be time consuming; however, it is quicker for you to do it, than the shop having to worry about it.
A reference I had used a couple of times was Megyesy's Pressure Vessel Handbook, it begins on page 281.
Hope in some sort of way this helps you out.
RE: paper pattern for shop fabrication
This is a routine for generating fishmouth templates, ie one size pipe intersecting with anouth at any angle.
;* FISHMOUTH.LSP Draws a flat pattern to be wrapped around a pipe indicating
;* Cut line for intersection of two pipes with OPTIONAL LATERAL offset of
;* Pipes' Centerlines.
;* Mathematical Formula from "DESIGN OF WELDED STRUCTURES" by O.W. Blodgett
;* THE JAMES F.LINCOLN ARC WELDING FOUNDATION;
;----------------------------------------------------------------------------
; P1 = Optional Start point for pattern curve.
;INT_ang = Angle of Intersection between the pipes.
;VAR_ang = Varying Angle.
;INC_ang = Increament of Varying Angle.
; R1 = Radius of Intersecting Pipe.
; R2 = Radius of Base Pipe.
; PR1 = Circumference of Intersecting Pipe.
; e = Lateral Offset of Pipes' Centers. Positive for Right,
;Negative for Left Offset.
; DX = Increament Length on "X" axis.
; X = Length on "X" axis.
; L = List of Points (X,Y).
; GA = Go ahead Flag.
; Q = R1+R2.
; D = Decreament due to Pipes' Offset.
;
(defun C:FISHMOUTH ( / P1 INT_ang R1 R2 e INC_ang VAR_ang PR1 DX X L Q D GA)
(setq
P1 (getpoint "\nPick Start Point at Lower Left Corner of the Screen: ")
; Get start point of pattern
R1 (/ (getdist "\nEnter Dia. of Intersecting Pipe: ") 2) ;Get intersecting
; pipe diameter
R2 (/ (getdist "\nEnter Dia. of Base Pipe: ") 2) ;Get base pipe diameter
e (getdist "\nEnter Lateral Offset of Pipes' Centers ,Positive for Right,
Negative for Left Offset, Zeero for None: <0.0> ")
INT_ang (getangle "\nEnter Intersection angle: ") ;Get angle of Intersecti
; on
INC_ang (/ PI 10) ;Calculate the Variable Angle Increment
VAR_ang 0.0 ;Initiate VAR_ang.
PR1 (* R1 PI 2) ;Calculate Circumference of Intersecting Pipe.
DX (/ (* R1 PI) 10) ;Calculate the Increment on "X" axis
X 0.0 ;Initiate "X" Coordinate.
L (list P1) ;Initiate list L
Q (+ R1 R2)
e (if e e 0) ;Check if "e" has been given a value,if not make it zero.
D (if (= e 0) 0 (- Q (sqrt (- (* Q Q) (* e e)))) ;If e=0 then let D=0
;Else Calculate
);if ;Decreament due to Pipes' Offset.
);setq
(if (<= (+ R1 (abs e)) R2)
(progn
(if (< INT_ang 0.35)
(progn
(initget "Yes No")
(prompt "\nAn intersection angle that small may create a")
(prompt "\nvery long pattern that may be very difficult to")
(prompt "\nbuild. Do you wish to continue? Yes or <N>o: ")
(setq ga (getkword))
(if (= ga nil)
(setq ga "No")
);if
);thenprogn
);if
(if (or (= ga nil) (= ga "Yes"))
(progn
;Generate Curve Coordinates & Append to List L.
(repeat 21 ;It Starts from Zero and Completes 2 PI Radians.
(setq
L (append L (list (list X ;The rest is Y
(+ (/ (* (* R1 (- 1 (cos VAR_ang))) (cos INT_ang)) (sin INT_ang))
(/ (- (- R2 (sqrt (- (* R2 R2) (expt (- (* R1 (sin VAR_ang)) e) 2)))) D)
(sin INT_ang))))))
VAR_ang (+ VAR_ang INC_ang)
X (+ X DX)
);setq
);repeat
(setq L (cdr L))
(foreach p L (setq L (subst (mapcar '+ P1 p) p L))) ;Adjust points
;to start point
(command "PLINE" (foreach p L (command p))
);command
;Join&Fit pattern and make it yellow color.
(command "PEDIT" "L" "J" (car L) "" "F" "X" "CHANGE" "L" "" "P" "C" "YELLOW"
"")
;Adjust LTSCALE to current Limits
(setvar "LTSCALE" (/ (- (car (getvar "LIMMAX")) (car (getvar "LIMMIN"))) 25))
; Draw 25 mm wrap section, Make tab line Dashed & Red.
(command "PLINE" "@-5,0" "@-20,0" "@0,-25"
(polar (getvar "LASTPOINT") 0 (+ PR1 50)) "@0,25" "@-20,0" ""
"CHANGE" "L" "" "P" "LT" "DASHED" "C" "RED" "")
);thenprogn
);if
);elseprogn
(prompt "\nBase pipe Radius must equal or Exceed Intersecting Pipe's Radius
Plus Offset.** A B O R T I N G**")
);if
(princ)
);defun
This is a start point.
Hope this helps,
Rich